Вы рискуете, если используете старую версию PHP

В декабре 2018 г. больше половины всех сайтов работающих на WP окажутся менее защищенными.

Дело в том, что в декабре версии PHP 5.6 и 7.0 перестанут получать обновления безопасности. В WordPress сообщили, что эти версии используются на 57,1% сайтов работающих на CMS WordPress.

Стоит ли на это обращать свое внимание и чем это чревато на практике?

После того, как старые версии PHP перестанут получать обновления безопасности ваши сайты всеравно продолжат свою работу. Но, есть определенные риски о которых я хочу вас предупредить.

Риски использования старых версий PHP

1.Сайты использующие старую версию PHP работают медленнее. Такие сайты больше потребляют оперативной памяти и иногда это ведет к превышению лимитов.
Для ускорения сайта приходится использовать плагины кеширования, жертвовать функционалом и т.д. Но, проблема решается лишь частично.

2.Медленная работа сайта влияет на его позиции в поисковых системах. Чем медленнее сайт, тем он ниже в поисковой выдаче. Почему? Потому что, поисковые машины конкурируют между собой за качественную и быструю выдачу. Пользователи не будут пользоваться поисковиком, который подсовывает им некачественные сайты. А потому, использование старых версий PHP грозит потерей трафика и проблемами с ранжированием.

3.Повышается риск взлома сайта и заражения зловредным кодом.

4.Возможны проблемы со скриптами WordPress, шаблонов и плагинов.

Обновления безопасности для PHP 5.6 перестанут выходить 31 декабря 2018 года. А поддержка PHP 7.0 прекратится 3 декабря.

Как определить текущую версию PHP на вашем сервере/хостинге?

1.Зайдите в панель хостинга в соответствующий раздел. Например, на хостинге Beget.com это можно узнать в разделе Сайты — для каждого сайта указана текущая версия PHP.

Вы рискуете, если используете старую версию PHP

2.Cоздайте файл .php с кодом

phpinfo();

загрузите его в корень своего сайта и откройте в браузере.

3.С помощью плагина WordPress phpinfo()

Как перейти на новую версию PHP?

Использовать нужно версию 7.1 или 7.2 (рекомендуется).

Для включения новой версии PHP перейдите в панель хостинга, в соответствующий раздел.

Примеры

Beget.com — раздел Сайты.
Для каждого сайта нужно отдельно выбирать версию PHP.

Вы рискуете, если используете старую версию PHP

NIC.ru
Панель хостинга — Управление веб-сервером — Управление модулем PHP
Версия PHP активируется для всех сайтов одновременно.

Что нужно сделать перед переходом на новую версию PHP?

1.Сделайте резервную копию своего сайта или проверьте, что на хостинге выполняется регулярный бэкап.

2.Обновите WordPress, шаблон и плагины до самых последних версий.

Если вы давно не обновляли свой шаблон и плагины, то велика вероятность возникновения ошибок PHP, появления белого экрана, ошибки 500, частичного открытия страницы.

Причина появления таких ошибок заключается в том, что в скриптах (php, js, jquery) старой версии плагина или шаблона используются устаревшие функции.

Возникли ошибки на сайте после включения новой версии PHP?

1.Обновите шаблон и плагины.

2.Если нет возможности обновить шаблон/плагин — рассмотрите вариант замены или полного отказа от него.

3.Если использование шаблона/плагина является критичным, но он вступает в конфликт с версией PHP — обратитесь к специалисту, который сможет найти и исправить конфликтную/устаревшую функцию.

4.Попробуйте разные версии PHP: 7.1 или 7.2


Как переход на новую версию PHP решил проблему превышения лимита использования оперативной памяти

На этой неделе, один из моих старых клиентов обратился ко мне с просьбой помочь решить проблему с превышением лимитов использования оперативной памяти на shared-хостинге.

Хостинг: nic.ru
У клиента 7 сайтов
CMS: WordPress
Суточный трафик: меньше 50 чел./сайт
Версия PHP: 5.6
Лимит оперативной памяти: 250 Мб.
Наличие вирусов: нет
Плагины кеширования и оптимизации: WP Rocket и Clearfy PRO

На некоторых сайтах давно уже не обновлялись версии шаблонов (нет доступа к обновлениям).
На протяжении целого года аккаунт использовал RAM в верхнем пределе и выше. Но, это проявлялось в виде колебаний.

Годовой график потребления RAM
Вы рискуете, если используете старую версию PHP

12-15 ноября 2018 г. хостер начал каждый день писать владельцу сайтов о стабильном превышении лимитов и предлагал перейти на более дорогой план обслуживания.

Недельный график 12-18 ноября
Вы рискуете, если используете старую версию PHP

15 числа клиент обратился ко мне с этой проблемой.
Он спросил меня: поможет ли переход на более дорогой тариф решить его проблемы?

На новый тариф всегда можно перейти, но это только частично решит проблему.

Было решено переключиться на новую версию PHP и обновить, по возможности, плагины на всех сайтах. При этом не было возможности обновить сами шаблоны и это одна из проблем. На версии PHP 7.1 критичных ошибок было меньше и их можно было пофиксить обновлением плагинов. А часть плагинов была отключена или заменена другими.

Happy End

Гневные письма от хостера больше не поступают.
Сайты открываются быстрее.
На хостинге используется PHP 7.1.
Сайты стабильно, в среднем, потребляют 200 Мб. при лимите 250 Мб. Но, нет уже постоянных ужасающих скачков превышения лимитов.
На большинстве сайтов были отключены плагины кеширования.

Прогнозы по сайтам клиента

На тех сайтах, которые используют устаревшие версии премиум шаблонов я прогнозирую появление в будущем, различных конфликтов и несовместимости. Перед клиентом 100% станет вопрос редизайна сайта.
Например, новые версии WordPress могут конфликтовать с устаревшими скриптами шаблона.

Я думаю, этот конкретный пример превышения лимитов хостинга, показал вам важность и необходимость периодического обновления скриптов и перехода на PHP 7.1-7.2.

Рейтинг 5/5 (1 голос)
 
Понравилась статья? Поделиться с друзьями:

Добавить комментарий

avatar